<ng-template #view let-c="close" let-d="dismiss">

</ng-template>
<div class="row text-left">
  <div class="col-12">
    <div class="content-header">ตั้งค่า</div>
    <!-- นโยบายความเป็นส่วนตัว + เงื่อนไขการให้บริการ TH/EN -->
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->
<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">
          <div class="card-body">
            <div class="card-content">
              <div class="under-line">
                <h4 *ngIf="setting_genaral">ตั้งค่าทั่วไป<i class="ft-chevrons-down go-right"
                    (click)="show_setting(1)"></i></h4>
                <h4 *ngIf="!setting_genaral">ตั้งค่าทั่วไป<i class="ft-chevrons-up go-right"
                    (click)="show_setting(1)"></i></h4>
              </div>
              <div class="card-body genaral" [hidden]="setting_genaral">
                <label>แก้ไขล่าสุดเมื่อ : {{settingAll.up_date | date}}</label>
                <ngb-tabset type="pills">
                  <ngb-tab>
                    <ng-template ngbTabTitle>นโยบายความเป็นส่วนตัว</ng-template>
                    <ng-template ngbTabContent>
                      <div class="row">
                        <div class="col-sm-8">
                          <label>ภาษาไทย</label>
                        </div>
                      </div>
                      <div>
                        <ckeditor [config]="editorConfig" [editor]="Editor" [(ngModel)]="settingAll.policy.th"
                          tagName="policy" (change)="onChangePolicyTH($event)"></ckeditor>
                      </div>
                      <div class="row">
                        <div class="col-sm-8">
                          <label>ภาษาอังกฤษ</label>
                        </div>
                      </div>
                      <div>
                        <ckeditor [config]="editorConfig" [editor]="Editor" [(ngModel)]="settingAll.policy.en"
                          name="service" (change)="onChangePolicyEN($event)"></ckeditor>
                      </div>
                    </ng-template>
                  </ngb-tab>
                  <ngb-tab>
                    <ng-template ngbTabTitle>เงื่อนไขการให้บริการ</ng-template>
                    <ng-template ngbTabContent>
                      <div class="row">
                        <div class="col-sm-8">
                          <label>ภาษาไทย</label>
                        </div>
                      </div>
                      <div>
                        <ckeditor [config]="editorConfig" [editor]="Editor" [(ngModel)]="settingAll.service.th"
                          tagName="policy" (change)="onChangeServiceTH($event)"></ckeditor>
                      </div>
                      <div class="row">
                        <div class="col-sm-8">
                          <label>ภาษาอังกฤษ</label>
                        </div>
                      </div>
                      <div>
                        <ckeditor [config]="editorConfig" [editor]="Editor" [(ngModel)]="settingAll.service.en"
                          name="service" (change)="onChangeServiceEN($event)"></ckeditor>
                      </div>
                    </ng-template>
                  </ngb-tab>
                </ngb-tabset>
                <div>
                  <a href="javascript:void(0)" class="btn btn-success mr-2 btn-raised "
                    (click)="save()">บันทึกการตั้งค่าทั่วไป</a>
                </div>
              </div>
              <div class="under-line">
                <h4 *ngIf="setting_rate">อัตราส่วนราคา<i class="ft-chevrons-down go-right"
                    (click)="show_setting(2)"></i></h4>
                <h4 *ngIf="!setting_rate">อัตราส่วนราคา<i class="ft-chevrons-up go-right" (click)="show_setting(2)"></i>
                </h4>
              </div>
              <div class="card-body rate" [hidden]="setting_rate">
                <label>แก้ไขล่าสุดเมื่อ : {{now_rate.up_date | date}}</label>
                <form [formGroup]="rate" (ngSubmit)="onReactiveFormSubmit()" novalidate>
                  <div>
                    <fieldset class="form-group">
                      <label for="atOrder" class="right">อัตราส่วนบวกเพิ่มจากรายการ ( หน่วยเป็น % ) </label>
                      <input type="number" formControlName="atOrder" name="atOrder" class="form-control">
                      <label for="cus_rate" class="right">อัตราส่วนคืนให้ลูกค้า ( หน่วยเป็น % )</label>
                      <input type="number" formControlName="cus_rate" name="cus_rate" class="form-control">
                      <label for="sale_rate" class="right">อัตราส่วนคืนให้ผู้ขาย ( หน่วยเป็น % )</label>
                      <input type="number" formControlName="sale_rate" name="sale_rate" class="form-control">
                    </fieldset>
                  </div>
                  <div>
                    <button type="submit" class="btn btn-success mr-2 btn-raised ">บันทึกอัตราส่วนราคา</button>
                  </div>
                </form>
              </div>
              <div class="under-line">
                <h4 *ngIf="setting_account">ตั้งค่าบัญชี<i class="ft-chevrons-down go-right"
                    (click)="show_setting(3)"></i></h4>
                <h4 *ngIf="!setting_account">ตั้งค่าบัญชี<i class="ft-chevrons-up go-right"
                    (click)="show_setting(3)"></i></h4>
              </div>
              <div class="card-body account" [hidden]="setting_account">
                <!-- <label>แก้ไขล่าสุดเมื่อ : {{now_rate.up_date | date}}</label> -->
                <button style="margin-bottom: 5px;" class="btn btn-raised mr-1 btn-primary butt-right"
                  (click)="open({bb_id:'0'})"><i class="fa fa-plus"></i>
                  เพิ่มบัญชี</button>
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th style="width: 50px;">#</th>
                      <th>เลขที่บัญชี</th>
                      <th>ชื่อบัญชี</th>
                      <th>ธนาคาร</th>
                      <th>สถานะ</th>
                      <th style="width: 145px;" class="text-center">จัดการ</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let b of bank; let i=index">
                      <th scope="row">{{i+1}}</th>
                      <td>{{b.no}}</td>
                      <td>{{b.name}}</td>
                      <td>{{b.bank}}</td>
                      <td>
                        <span *ngIf="b.show == 1" class="badge badge-success">แสดง</span>
                        <span *ngIf="b.show == 0" class="badge badge-secondary">ซ่อน</span>
                      </td>
                      <td>
                        <!-- <button href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                            (click)="view_profile(t)"><i class="fa fa-eye"></i> ดู</button> -->
                        <a href="javascript:void(0)" (click)="open(b)" class="btn btn-raised mr-1 btn-sm btn-warning"><i
                            class="fa fa-edit"></i> แก้ไข</a>
                        <a href="javascript:void(0)" (click)="delete(b)"
                          class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>
                      </td>
                    </tr>

                  </tbody>
                </table>
              </div>
              <div class="under-line">
                <h4 *ngIf="setting_location">ตั้งค่าพื้นที่เปิดให้บริการ<i class="ft-chevrons-down go-right"
                    (click)="show_setting(4)"></i></h4>
                <h4 *ngIf="!setting_location">ตั้งค่าพื้นที่เปิดให้บริการ<i class="ft-chevrons-up go-right"
                    (click)="show_setting(4)"></i></h4>
              </div>
              <div class="card-body account" [hidden]="setting_location">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th style="width: 50px;">#</th>
                      <th>จังหวัด</th>
                      <th>สถานะ</th>
                      <th style="width: 145px;" class="text-center">จัดการ</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let p of provinces; let i=index">
                      <th scope="row">{{i+1}}</th>
                      <td>{{p.name_th}}</td>
                      <td>
                        <span *ngIf="p.hidden == 0" class="badge badge-success">เปิดให้บริการ</span>
                        <span *ngIf="p.hidden == 1" class="badge badge-secondary">ปิดให้บริการ</span>
                      </td>
                      <td>
                        <!-- <button href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                            (click)="view_profile(t)"><i class="fa fa-eye"></i> ดู</button> -->
                        <button href="javascript:void(0)" (click)="pOpen(p)" [disabled]="p.hidden == 0" class="btn btn-raised mr-1 btn-sm btn-warning"><i
                            class="fa fa-edit"></i> เปิด</button>
                        <button href="javascript:void(0)" (click)="pClose(p)" [disabled]="p.hidden == 1"
                          class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-trash-o"></i> ปิด</button>
                      </td>
                    </tr>

                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->